it-swarm.com.de

Funktioniert TP-LINK WN822N unter Ubuntu?

Ich plane, Ubuntu bald auf meinem PC zu installieren. Ich verwende derzeit einen TP-LINK TL-WN822N-WLAN-Adapter. Ich möchte wissen, ob es ohne zusätzliches Setup funktioniert.

15
Femn Dharamshi

Es sollte mit Ubuntu ohne zusätzliches Setup funktionieren. Der Kerneltreiber für diesen Adapter kann jedoch instabil sein. Ich empfehle einen besseren Treiber von der Quelle zu installieren.

Sudo apt-get install git
git clone https://github.com/lwfinger/rtlwifi_new.git
cd rtlwifi_new
make
Sudo make install

Diese Antwort gilt für die Hardwareversion 3.0 dieses Adapters mit einem Realtek-Chip. Frühere Versionen sollten sofort einsatzbereit sein.

Ich habe diesen Treiber in das DKMS-Format gepackt und ppa hinzugefügt. Wenn Sie es von dort aus installieren, müssen Sie es nach Kernel-Upgrades nicht erneut installieren. Es kann von installiert werden

Sudo add-apt-repository ppa:hanipouspilot/rtlwifi
Sudo apt-get update
Sudo apt-get install rtl8192cu-dkms
17
Pilot6

Schauen Sie sich an

https://help.ubuntu.com/community/HardwareSupportComponentsWirelessNetworkCardsTP-Link

Suchen Sie nach TL-WN822N


TL-WN822N

Bitte stellen Sie sicher, dass Sie nach der Installation von Ubuntu auch das Linux-Firmware-Paket installieren.

Wenn Sie immer noch Probleme haben, veröffentlichen Sie die Ergebnisse der Befehle lspci und lsusb.

4
Rajat Pandita

Es gibt 4 verschiedene Versionen dieses drahtlosen Adapters und sie verwenden verschiedene Chipsätze:

  • Version 1 und 2 verwenden Atheros AR7010.
  • Version 3 verwendet Realtek RTL8192CU.
  • Version 4 verwendet Realtek RTL8192EU.

Um herauszufinden, welche Version Sie haben, werfen Sie einen Blick auf die Rückseite des Adapters - dort steht "Ver: 3.0". Verwenden Sie alternativ lsusb - mein TP-LINK WN822N V3 identifiziert sich als "Realtek Semiconductor Corp. RTL8192CU 802.11n WLAN Adapter".


Wenn Sie den Atheros-basierten haben, wird der Treiber ath9k_htc verwendet, und er sollte sofort funktionieren.

Diese Seite listet die Treiber auf, die derzeit für Realtek-Chipsätze verwendet werden - im Wesentlichen werden sie alle irgendwann durch rtl8xxxu ersetzt.

Das heißt, während Version 3 mit dem rtl8192cu -Treiber sofort einsatzbereit ist, ist dieser Treiber wirklich schlecht (langsame Geschwindigkeit, trennt gelegentlich). Du wirst rtl8192cu-fixes installieren wollen, um es nutzbar zu machen (was auch rtl8192cu auf die schwarze Liste setzt).

Ich habe keine Informationen zu Version 4, aber RTL8192EU sollte sofort mit dem rtl8xxxu -Treiber auf neueren Distributionen funktionieren.

3
fstanis